CREATE TABLE IF NOT EXISTS android_metadata (locale TEXT DEFAULT 'en_US');
CREATE TABLE IF NOT EXISTS authors (id NUMERIC UNIQUE , name TEXT, avatar_url TEXT);
CREATE TABLE IF NOT EXISTS posts (geo_long ,geo_lat TEXT, id NUMERIC, title TEXT, _id INTEGER PRIMARY KEY , text TEXT, date TEXT, type TEXT, image_url TEXT, post_abstract TEXT, author_id NUMERIC);
CREATE TABLE IF NOT EXISTS posts_map (_id INTEGER PRIMARY KEY  NOT NULL , post_id NUMERIC, title TEXT, latitude REAL, longitude REAL);
CREATE TABLE IF NOT EXISTS user_settings ("value" TEXT, name TEXT, _id INTEGER PRIMARY KEY);

-- treemap cache tables
CREATE TABLE IF NOT EXISTS countries_ru (_id INTEGER PRIMARY KEY, id NUMERIC, name TEXT);
CREATE TABLE IF NOT EXISTS directions_ru (_id INTEGER PRIMARY KEY, id NUMERIC, name TEXT);
CREATE TABLE IF NOT EXISTS treemap_ru (_id INTEGER PRIMARY KEY, country_id NUMERIC, direction_id NUMERIC, product_type_id NUMERIC,
    slice_type TEXT, data_date TEXT, item_name TEXT, item_value NUMERIC, item_formatted_value TEXT, item_color TEXT,
    item_formatted_mtm_growth TEXT, item_formatted_share TEXT);

CREATE TABLE IF NOT EXISTS countries_en (_id INTEGER PRIMARY KEY, id NUMERIC, name TEXT);
CREATE TABLE IF NOT EXISTS directions_en (_id INTEGER PRIMARY KEY, id NUMERIC, name TEXT);
CREATE TABLE IF NOT EXISTS treemap_en (_id INTEGER PRIMARY KEY, country_id NUMERIC, direction_id NUMERIC, product_type_id NUMERIC,
    slice_type TEXT, data_date TEXT, item_name TEXT, item_value NUMERIC, item_formatted_value TEXT, item_color TEXT,
    item_formatted_mtm_growth TEXT, item_formatted_share TEXT);

CREATE TABLE IF NOT EXISTS watch_samples (_id INTEGER PRIMARY KEY, group_id NUMERIC, timestamp NUMERIC, message TEXT);
CREATE TABLE IF NOT EXISTS watch_samples_sequence (_id INTEGER PRIMARY KEY, current_id NUMERIC);
INSERT INTO watch_samples_sequence(current_id) VALUES(1);